DROP TABLE IF EXISTS `#__quickd_files`;
DROP TABLE IF EXISTS `#__quickd_codes`;


CREATE TABLE IF NOT EXISTS `#__quickd_codes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '',
  `code` varchar(255) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `limit_hits_total` int(10) unsigned NOT NULL DEFAULT '0',
  `limit_hits_day` int(10) unsigned NOT NULL DEFAULT '0',
  `limit_publish_to` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `limit_publish_from` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `last_access` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `hits_day` int(10) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `code` (`code`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `#__quickd_files` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '' COMMENT 'Filename visible, can be modified',
  `location` varchar(255) NOT NULL DEFAULT '' COMMENT 'Filename on ftp',
  `external` text NOT NULL,
  `type` varchar(15) NOT NULL DEFAULT '',
  `size` int(10) NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
