<?php
/*
 * @component QuickDownload
 * @version 2.1 "28082012"
 * @website : http://www.beesto.com
 * @copyright Copyright (C) 2011 Ionut Lupu & Popa S. Alexandru. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class QuickDownloadViewQuickDownload extends JView
{
	public function display($tpl = null) {
		$this->addToolbar();
		parent::display($tpl);
	}
	

	public function addToolbar() {	
		JHtml::stylesheet( 'administrator/components/com_quickdownload/assets/css/default.css' );

		$canDo	= QuickDownloadHelper::getActions();
		
		JToolBarHelper::title(   'QuickDownload :: ' . JText::_( 'COM_QUICKDOWNLOAD_CPANEL' ), 'cpanel' );	
		
		if ($canDo->get('core.admin')) {
			JToolBarHelper::preferences('com_quickdownload');
			JToolBarHelper::divider();
		}		
	}
}
?>
